#!/bin/sh
#
# rc.M		This file is executed by init(8) when the system is being
#		initialized for one of the "multi user" run levels (i.e.
#		levels 1 through 6).  It usually does mounting of file
#		systems et al.
#
# Tell the viewers what's going to happen...
echo "Going multiuser..."

# Set the hostname.  
/bin/hostname BasicLinux

# Initialize the NET subsystem.
/etc/rc.d/rc.inet1

# Remove stale locks and junk files (must be done after mount -a!)
/bin/rm -f /var/spool/locks/* /var/lock/* /var/spool/uucp/LCK..* /tmp/.X*lock /tmp/core /core 1> /dev/null 2> /dev/null

# Ensure basic filesystem permissions sanity.
chmod 755 /
chmod 1777 /tmp /var/tmp

# Update all the shared library links automatically
# /sbin/ldconfig

# Start the sendmail daemon:
#  echo "Starting sendmail daemon (/usr/sbin/sendmail -bd -q15m)..."
#  /usr/sbin/sendmail -bd -q15m

# Load a custom screen font if the user has an rc.font script.
#  /etc/rc.d/rc.font

# Start Web server:
#  /etc/rc.d/rc.httpd

# Start Samba (a file/print server for Win95/NT machines):
# /etc/rc.d/rc.samba

# Load a custom keymap if the user has an rc.keymap script.
# /etc/rc.d/rc.keymap

